﻿using Microsoft.Data.SqlClient;

//====================================================
// Подробное описание исходника на:
// https://www.interestprograms.ru
// Исходные коды программ и игр
//====================================================

namespace ASPSqlADONET.Common
{
    public class Constants
    {
        // Проверка подлинности Windows
        public static string SqlConnectionIntegratedSecurityPooling => CreateConnectionIntegratedSecurity(true);
        public static string SqlConnectionIntegratedSecurityNoPooling => CreateConnectionIntegratedSecurity(false);


        // Проверка подлиности SQL Server
        public static string SqlConnectionSQLServerPooling => CreateConnectionSQLServer(true);
        public static string SqlConnectionSQLServerNoPooling => CreateConnectionSQLServer(false);



        private static string CreateConnectionIntegratedSecurity(bool pooling)
        {
            var sb = new SqlConnectionStringBuilder
            {
                DataSource = "Путь к базе данных",
                IntegratedSecurity = true,
                InitialCatalog = "DBMSSQL",
                Pooling = pooling
            };

            return sb.ConnectionString;
        }

        private static string CreateConnectionSQLServer(bool pooling)
        {
          
                var sb = new SqlConnectionStringBuilder
                {
                    DataSource = "Путь к базе данных",
                    IntegratedSecurity = false,
                    InitialCatalog = "DBMSSQL",
                    UserID = "зарегистрированное имя пользователя в базе данных",
                    Password = "пароль",
                    Pooling = pooling
                };

                return sb.ConnectionString;
            
        }
    }
}
