﻿using ASPSqlADONET.DirectSql;
using Microsoft.AspNetCore.Mvc;
using System;
using System.Data;

//====================================================
// Подробное описание исходника на:
// https://www.interestprograms.ru
// Исходные коды программ и игр
//====================================================

namespace ASPSqlADONET.Controllers
{
    [Route("sqldataadapter")]
    public class SqlDataAdapterController : Controller
    {

        public IActionResult Index()
        {
            string queryString1 = "SELECT * FROM  Sciences";
            string queryString3 = null;
            int sizeQueryString3 = 10;
            for (int i = 0; i < sizeQueryString3; i++)
            {
                queryString3 += "SELECT * FROM  Sciences;" + "SELECT * FROM  Sections;" + "SELECT * FROM  SubSections;";
            }
            ViewBag.SizeQueryString3 = sizeQueryString3;


            int numRepeat = 100;
            ViewBag.NumRepeat = numRepeat;

            DataSet allTables = null;



            // --- Запросы с созданием пулов соединений ---

            DateTime dtPooling1 = DateTime.Now;
            for (int i = 0; i < numRepeat; i++)
            {
                allTables = SqlQueries.CreateQuerySqlDataAdapter(queryString1);
            }
            ViewBag.PerformancePooling1 = (DateTime.Now - dtPooling1).TotalMilliseconds;

            DateTime dtPooling3 = DateTime.Now;
            for (int i = 0; i < numRepeat; i++)
            {
                allTables = SqlQueries.CreateQuerySqlDataAdapter(queryString3);
            }
            ViewBag.PerformancePooling3 = (DateTime.Now - dtPooling3).TotalMilliseconds;



            // --- Запросы без создания пулов соединений ---

            DateTime dt1 = DateTime.Now;
            for (int i = 0; i < numRepeat; i++)
            {
                allTables = SqlQueries.CreateQuerySqlDataAdapter(queryString1, false);
            }
            ViewBag.Performance1 = (DateTime.Now - dt1).TotalMilliseconds;

            DateTime dt3 = DateTime.Now;
            for (int i = 0; i < numRepeat; i++)
            {
                allTables = SqlQueries.CreateQuerySqlDataAdapter(queryString3, false);
            }
            ViewBag.Performance3 = (DateTime.Now - dt3).TotalMilliseconds;




            return View(allTables);
        }

    }
}
