﻿using ASPSqlADONET.Common;
using Microsoft.Data.SqlClient;
using System.Collections.Generic;
using System.Data;

//====================================================
// Подробное описание исходника на:
// https://www.interestprograms.ru
// Исходные коды программ и игр
//====================================================

namespace ASPSqlADONET.DirectSql
{
    public class SqlQueries
    {
        // Универсальные запросы к базе данных
        public static List<DataTable> CreateQuerySqlSeveralTables(string queryString, bool pooling=true)
        {
            List<DataTable> listTables = new(); // C# 9.0

            string connectionString = Constants.SqlConnectionIntegratedSecurityPooling;
            if (pooling == false) connectionString = Constants.SqlConnectionIntegratedSecurityNoPooling;

            using SqlConnection connection = new(connectionString); // C# 9.0
            using SqlCommand command = new(queryString, connection); // C# 9.0

           
            connection.Open();


            using SqlDataReader reader = command.ExecuteReader(CommandBehavior.KeyInfo);

            while (reader.IsClosed == false)
            {
                DataTable result = new(); // C# 9.0
                result.Load(reader);

                listTables.Add(result);
            }

            return listTables;
        }




        // Adapter
        // Универсальные запросы к базе данных
        public static DataSet CreateQuerySqlDataAdapter(string queryString, bool pooling = true)
        {
            string connectionString = Constants.SqlConnectionIntegratedSecurityPooling;
            if (pooling == false) connectionString = Constants.SqlConnectionIntegratedSecurityNoPooling;

            using SqlConnection connection = new(connectionString);
            using SqlDataAdapter sqlDataAdapter = new(queryString, connection);

            DataSet dataSet = new();

            sqlDataAdapter.Fill(dataSet);

            return dataSet;
        }


    }
}
